GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros
tls_msvc.h File Reference

Go to the source code of this file.

## Data Structures
struct | gpr_msvc_thread_local

## Macros
#define | GPR_TLS_DECL(name) static __declspec(thread) struct gpr_msvc_thread_local name = {0}
#define | gpr_tls_init(tls) do {} while (0)
#define | gpr_tls_destroy(tls) do {} while (0)
#define | gpr_tls_set(tls, new_value) (((tls)->value) = (new_value))
#define | gpr_tls_get(tls) ((tls)->value)

## Macro Definition Documentation

#define GPR_TLS_DECL | ( |  | name | ) | static __declspec(thread) struct gpr_msvc_thread_local name = {0}

#define gpr_tls_destroy | ( |  | tls | ) | do {} while (0)

#define gpr_tls_get | ( |  | tls | ) | ((tls)->value)

#define gpr_tls_init | ( |  | tls | ) | do {} while (0)

#define gpr_tls_set | ( |  | tls,
|  |  | new_value
| ) |  | (((tls)->value) = (new_value))